Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.util
Class ObjectStateUtils

    java.lang.Object
      org.apache.axis2.util.ObjectStateUtils

All Implemented Interfaces:
  ExternalizeConstants

    public class ObjectStateUtils

extends Object
implements ExternalizeConstants

Utility to write, read and activate externalized Objects

Field Summary
`static String` | `NULL_OBJECT`
`static String` | `UNSUPPORTED_REVID`
`static String` | `UNSUPPORTED_SUID`

Fields inherited from interface org.apache.axis2.context.externalize.ExternalizeConstants
`ACTIVE_OBJECT, EMPTY_MARKER, EMPTY_OBJECT, LAST_ENTRY, OBJ_RESTORE_PROBLEM, OBJ_SAVE_PROBLEM`

Constructor Summary
`ObjectStateUtils()`

Method Summary
`static Object` | `findHandler(ArrayList existingHandlers, MetaDataEntry metaDataEntry)` Find the Handler object that matches the criteria
`static AxisMessage` | `findMessage(AxisOperation op, String msgName, String msgElementName)` Find the AxisMessage object that matches the criteria
`static AxisOperation` | `findOperation(AxisConfiguration axisConfig, String opClassName, QName opQName)` Find the AxisOperation object that matches the criteria
`static AxisOperation` | `findOperation(AxisService service, String opClassName, QName opQName)` Find the AxisOperation object that matches the criteria
`static AxisService` | `findService(AxisConfiguration axisConfig, String serviceClassName, String serviceName)` Find the AxisService object that matches the criteria
`static AxisServiceGroup` | `findServiceGroup(AxisConfiguration axisConfig, String serviceGrpClassName, String serviceGrpName)` Find the AxisServiceGroup object that matches the criteria Note the saved service group meta information may not match up with any of the serviceGroups that are in the current AxisConfiguration object.
`static TransportListener` | `findTransportListener(AxisConfiguration axisConfig, String listenerClassName)` Find the TransportListener object that matches the criteria Note the saved meta information may not match up with any of the objects that are in the current AxisConfiguration object.
`static boolean` | `isEquivalent(ArrayList a1, ArrayList a2, boolean strict)` Compares the two collections to see if they are equivalent.
`static boolean` | `isEquivalent(LinkedList l1, LinkedList l2)` Compares the two collections to see if they are equivalent.
`static boolean` | `isEquivalent(Map m1, Map m2, boolean strict)` Compares the two collections to see if they are equivalent.
`static ArrayList` | `readArrayList(ObjectInput i, String desc)` Reads an array of objects from the specified input stream.
`static HashMap` | `readHashMap(ObjectInput i, String desc)` Read a hashmap of objects from the specified input stream.
`static LinkedList` | `readLinkedList(ObjectInput i, String desc)` Reads a linked list of objects from the specified input stream.
`static Object` | `readObject(ObjectInput i, String desc)` Read an object from the specified input stream.
`static String` | `readString(ObjectInput i, String desc)` Read a string from the specified input stream.
`static void` | `writeArrayList(ObjectOutput o, ArrayList al, String desc)` Write an array of objects to the specified output stream.
`static void` | `writeHashMap(ObjectOutput o, HashMap map, String desc)` Write a hashmap of objects to the specified output stream.
`static void` | `writeLinkedList(ObjectOutput o, LinkedList objlist, String desc)` Write a linked list of objects to the specified output stream.
`static void` | `writeObject(ObjectOutput o, Object obj, String desc)` Write an object to the specified output stream.
`static void` | `writeString(ObjectOutput o, String str, String desc)` Write a string to the specified output stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NULL_OBJECT

    public static String NULL_OBJECT

### UNSUPPORTED_SUID

    public static final String UNSUPPORTED_SUID

See Also:
  Constant Field Values

### UNSUPPORTED_REVID

    public static final String UNSUPPORTED_REVID

See Also:
  Constant Field Values

Constructor Detail

### ObjectStateUtils

    public ObjectStateUtils()

Method Detail

### writeString

    public static void writeString(ObjectOutput o,
                                   String str,
                                   String desc)
                            throws IOException

  Write a string to the specified output stream.

  Parameters:
    `o` - The output stream
    `str` - The string to write
    `desc` - A text description to use for logging
  Throws:
    `IOException` - Exception

### readString

    public static String readString(ObjectInput i,
                                    String desc)
                             throws IOException,
                                    ClassNotFoundException

  Read a string from the specified input stream. Returns null if no string is available.

  Parameters:
    `i` - The input stream
    `desc` - A text description to use for logging
  Returns:
    The string or null, if not available
  Throws:
    `IOException`
    `ClassNotFoundException`

### writeObject

    public static void writeObject(ObjectOutput o,
                                   Object obj,
                                   String desc)
                            throws IOException

  Write an object to the specified output stream.

  Parameters:
    `o` - The output stream
    `obj` - The object to write
    `desc` - A text description to use for logging
  Throws:
    `IOException` - Exception

### readObject

    public static Object readObject(ObjectInput i,
                                    String desc)
                             throws IOException,
                                    ClassNotFoundException

  Read an object from the specified input stream. Returns null if no object is available.

  Parameters:
    `i` - The input stream
    `desc` - A text description to use for logging
  Returns:
    The object or null, if not available
  Throws:
    `IOException`
    `ClassNotFoundException`

### writeArrayList

    public static void writeArrayList(ObjectOutput o,
                                      ArrayList al,
                                      String desc)
                               throws IOException

  Write an array of objects to the specified output stream. NOTE: each object in the array should implement either java.io.Serializable or java.io.Externalizable in order to be saved

  Parameters:
    `o` - The output stream
    `al` - The ArrayList to write
    `desc` - A text description to use for logging
  Throws:
    `IOException` - Exception

### readArrayList

    public static ArrayList readArrayList(ObjectInput i,
                                          String desc)
                                   throws IOException

  Reads an array of objects from the specified input stream. Returns null if no array is available. NOTE: each object in the array should implement either java.io.Serializable or java.io.Externalizable in order to be saved

  Parameters:
    `i` - The input stream
    `desc` - A text description to use for logging
  Returns:
    The ArrayList or null, if not available
  Throws:
    `IOException`
    `ClassNotFoundException`

### writeHashMap

    public static void writeHashMap(ObjectOutput o,
                                    HashMap map,
                                    String desc)
                             throws IOException

  Write a hashmap of objects to the specified output stream. NOTE: each object in the map should implement either java.io.Serializable or java.io.Externalizable in order to be saved

  Parameters:
    `o` - The output stream
    `map` - The HashMap to write
    `desc` - A text description to use for logging
  Throws:
    `IOException` - Exception

### readHashMap

    public static HashMap readHashMap(ObjectInput i,
                                      String desc)
                               throws IOException

  Read a hashmap of objects from the specified input stream. Returns null if no hashmap is available.

  Parameters:
    `in` - The input stream
    `desc` - A text description to use for logging
  Returns:
    The HashMap or null, if not available
  Throws:
    `IOException`
    `ClassNotFoundException`

### writeLinkedList

    public static void writeLinkedList(ObjectOutput o,
                                       LinkedList objlist,
                                       String desc)
                                throws IOException

  Write a linked list of objects to the specified output stream.
  Parameters:
    `o` - The output stream
    `list` - The LinkedList to write
    `desc` - A text description to use for logging
  Throws:
    `IOException` - Exception

### readLinkedList

    public static LinkedList readLinkedList(ObjectInput i,
                                            String desc)
                                     throws IOException

  Reads a linked list of objects from the specified input stream. Returns null if no array is available.

  Parameters:
    `in` - The input stream
    `desc` - A text description to use for logging
  Returns:
    The linked list or null, if not available
  Throws:
    `IOException`
    `ClassNotFoundException`

### findOperation

    public static AxisOperation findOperation(AxisConfiguration axisConfig,
                                              String opClassName,
                                              QName opQName)

  Find the AxisOperation object that matches the criteria

  Parameters:
    `axisConfig` - The AxisConfiguration object
    `opClassName` - the class name string for the target object (could be a derived class)
    `opQName` - the name associated with the operation
  Returns:
    the AxisOperation object that matches the given criteria

### findOperation

    public static AxisOperation findOperation(AxisService service,
                                              String opClassName,
                                              QName opQName)

  Find the AxisOperation object that matches the criteria

  Parameters:
    `service` - The AxisService object
    `opClassName` - The class name string for the target object (could be a derived class)
    `opQName` - the name associated with the operation
  Returns:
    the AxisOperation object that matches the given criteria

### findService

    public static AxisService findService(AxisConfiguration axisConfig,
                                          String serviceClassName,
                                          String serviceName)

  Find the AxisService object that matches the criteria

  Parameters:
    `axisConfig` - The AxisConfiguration object
    `serviceClassName` - the class name string for the target object (could be a derived class)
    `serviceName` - the name associated with the service
  Returns:
    the AxisService object that matches the criteria

### findServiceGroup

    public static AxisServiceGroup findServiceGroup(AxisConfiguration axisConfig,
                                                    String serviceGrpClassName,
                                                    String serviceGrpName)

  Find the AxisServiceGroup object that matches the criteria

  Note the saved service group meta information may not match up with any of the serviceGroups that are in the current AxisConfiguration object.

  Parameters:
    `axisConfig` - The AxisConfiguration object
    `serviceGrpClassName` - the class name string for the target object (could be a derived class)
    `serviceGrpName` - the name associated with the service group
  Returns:
    the AxisServiceGroup object that matches the criteria

### findMessage

    public static AxisMessage findMessage(AxisOperation op,
                                          String msgName,
                                          String msgElementName)

  Find the AxisMessage object that matches the criteria

  Parameters:
    `op` - The AxisOperation object
    `msgName` - The name associated with the message
    `msgElementName` - The name associated with the message element
  Returns:
    the AxisMessage object that matches the given criteria

### findHandler

    public static Object findHandler(ArrayList existingHandlers,
                                     MetaDataEntry metaDataEntry)

  Find the Handler object that matches the criteria

  Parameters:
    `existingHandlers` - The list of existing handlers and phases
    `handlerClassName` - the class name string for the target object (could be a derived class)
  Returns:
    the Handler object that matches the criteria

### findTransportListener

    public static TransportListener findTransportListener(AxisConfiguration axisConfig,
                                                          String listenerClassName)

  Find the TransportListener object that matches the criteria

  Note the saved meta information may not match up with any of the objects that are in the current AxisConfiguration object.

  Parameters:
    `axisConfig` - The AxisConfiguration object
    `listenerClassName` - the class name string for the target object (could be a derived class)
  Returns:
    the TransportListener object that matches the criteria

### isEquivalent

    public static boolean isEquivalent(ArrayList a1,
                                       ArrayList a2,
                                       boolean strict)

  Compares the two collections to see if they are equivalent.

  Parameters:
    `a1` - The first collection
    `a2` - The second collection
    `strict` - Indicates whether strict checking is required. Strict checking means that the two collections must have the same elements in the same order. Non-strict checking means that the two collections must have the same elements, but the order is not significant.
  Returns:
    TRUE if the two collections are equivalent FALSE, otherwise

### isEquivalent

    public static boolean isEquivalent(Map m1,
                                       Map m2,
                                       boolean strict)

  Compares the two collections to see if they are equivalent.

  Parameters:
    `m1` - The first collection
    `m2` - The second collection
    `strict` - Indicates whether strict checking is required. Strict checking means that the two collections must have the same mappings. Non-strict checking means that the two collections must have the same keys. In both cases, the order is not significant.
  Returns:
    TRUE if the two collections are equivalent FALSE, otherwise

### isEquivalent

    public static boolean isEquivalent(LinkedList l1,
                                       LinkedList l2)

  Compares the two collections to see if they are equivalent.

  Parameters:
    `l1` - The first collection
    `l2` - The second collection
  Returns:
    TRUE if the two collections are equivalent FALSE, otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.